
export ENV_VAR_FILE=$1;

source $ENV_VAR_FILE;

export DOMAINS_DIR=$2;
export DOMAIN_INFO_FILE=$3;
export KNOWN_PFAM_ARCH=$4;
export OVERLAPPING_FILE=$5;
export EVALUE=$6;
export CLAN=$7;
export OUTPUT_FILE=$8;

export PATH=$PATH:$PATH_DAMA;

echo $DOMAINS_DIR;
echo $DOMAIN_INFO_FILE;
echo $KNOWN_PFAM_ARCH;
echo $EVALUE;
echo $PATH_DAMA;


export VERBOSE=false;

export TMP_DIR=$TMP;

mkdir -p $TMP_DIR

cat $DOMAINS_DIR/*.domains > $TMP_DIR/best.domains

sort -t $'\t' -k 4,4 $TMP_DIR/best.domains > $TMP_DIR/best.domains.ftt

#module load gnu/4.9.2

echo $DOMAIN_INFO_FILE;
echo $KNOWN_PFAM_ARCH;
echo $OVERLAPPING_FILE;
echo $EVALUE;

DAMA -evalueCutOff $EVALUE \
-domainsInfoFile $DOMAIN_INFO_FILE \
-knownArchFile $KNOWN_PFAM_ARCH \
-domainsHitFile $TMP_DIR/best.domains.ftt \
-overlappingDomainFile $OVERLAPPING_FILE \
-outputFile $TMP_DIR/archs.txt \
--clan $CLAN \
--review

perl $PERL_LIB/run/getColunsFile.pl \
-file $TMP_DIR/archs.txt \
-cols 0:1:2:3:4 \
-outputFile $TMP_DIR/archs.txt.2

mv $TMP_DIR/archs.txt.2 $TMP_DIR/archs.txt

perl $SCRIPT_DIR/archs/repairArchFile.pl \
-domainsFile $TMP_DIR/best.domains.ftt \
-archFile $TMP_DIR/archs.txt \
-outputFile $TMP_DIR/archs.ftt 

sort -t $'\t' -k 4,4 $TMP_DIR/archs.ftt > $TMP_DIR/archs.ftt.sort \

cp $TMP_DIR/archs.ftt.sort $OUTPUT_FILE
