
export VERBOSE=false;

export ENV_VAR_FILE=$1;
export TF_TABLE=$2;
export LOG_DIR=$3;
export NAME_PROG=$4;
export QTD_FILE=$5;

export LIST_FILE=$6;


source $ENV_VAR_FILE;

perl $PERL_LIB/run/runTestSetPFAMFamily.pl \
-trans_factor_table $TF_TABLE \
-nameRun ${NAME_PROG}_runFamily \
-logDir $LOG_DIR \
-kindRun 1 \
-qtdFile $QTD_FILE \
-prePost \( \
echo \"LOG::START::FAMILY_FACTOR\", \
TOP date, \
TOP echo \$HOSTNAME, \
TOP export PERL_LIB=$PERL_LIB \
\) \
-scriptParameters \( \
END_LINE, \
perl $BASE_DIR/scripts/ensemble/avgDomainSize.pl, \
-listFile $LIST_FILE, \
-PFAM_ACC FAMILY_FACTOR, \
-verbose $VERBOSE, \
END_LINE \
\)  \
-posPost \( \
echo \" LOG::END::FAMILY_FACTOR\", \
BOTTOM rm -rf \$TMP_DIR, \
BOTTOM date \
\) \
-commandParameters  \( bash \)
