

export ENV_VAR_FILE=$1;

source $ENV_VAR_FILE;

export MODEL_FILE=$2;
export SEARCH_DATABASE=$3;
export RESULT_FILE=$4;
export EVALUE_CUT_OFF=$5;
export VERBOSE=$6



echo "MODEL_FILE= $MODEL_FILE";
echo "SEARCH_DATABASE= $SEARCH_DATABASE";
echo "RESULT_FILE= $RESULT_FILE";
echo "EVALUE_CUT_OFF= $EVALUE_CUT_OFF";
echo "VERBOSE= $VERBOSE";


export PATH=$PATH:$PATH_HMMER; 

ls -lht $PATH_HMMER


perl $PERL_LIB/run/search_hmmer3.pl \
-modelFile $MODEL_FILE \
-resultFile $RESULT_FILE \
-database $SEARCH_DATABASE \
-evalue $EVALUE_CUT_OFF \
-verbose $VERBOSE 

if [ -s $RESULT_FILE ]
then
	echo "FILE $RESULT_FILE created";
else
	echo "ERROR:: FILE NOT $RESULT_FILE created";
fi
